Libical API Documentation 3.0

Data Fields
icaldirset_impl Struct Reference

## Data Fields
icalcluster * | cluster
char * | dir
pvl_list | directory
pvl_elem | directory_iterator
int | first_component
icalgauge * | gauge
icaldirset_options | options
icalset | super

## Field Documentation

## ◆ cluster

icalcluster* icaldirset_impl::cluster

cluster containing data

## ◆ dir

char* icaldirset_impl::dir

directory containing ics files

## ◆ directory

pvl_list icaldirset_impl::directory

???

## ◆ directory_iterator

pvl_elem icaldirset_impl::directory_iterator

???

## ◆ first_component

int icaldirset_impl::first_component

???

## ◆ gauge

icalgauge* icaldirset_impl::gauge

gauge for filtering out data

## ◆ options

icaldirset_options icaldirset_impl::options

copy of options passed to icalset_new()

## ◆ super

icalset icaldirset_impl::super

parent class

The documentation for this struct was generated from the following file:

- icaldirsetimpl.h